Page MenuHomePhabricator

Create a VisualEditor plugin tool to add/edit LabelledSectionTransclusion markers
Open, Stalled, MediumPublic

Description

The LST markers <section begin="2011-07-25" /> and <section end="2011-07-25" /> used to be unparsed, but now that Parsoid parses them to <meta>s they're uneditable. Boo.

(The actual transclusion {{#lst:Foo|Bar}} as a parser function "just works".)


Version: master
Severity: enhancement

Details

Reference
bz70581

Related Objects

StatusSubtypeAssignedTask
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
InvalidJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedCatrope
OpenNone
OpenNone
DeclinedNone
ResolvedNone
DeclinedKrinkle
ResolvedNone
OpenNone
Resolved rmoen
Resolved rmoen
ResolvedMooeypoo
Resolved rmoen
ResolvedMooeypoo
ResolvedMooeypoo
Resolvedcscott
Resolvederanroz
ResolvedMooeypoo
ResolvedEsanders
ResolvedNone
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedLtrlg
ResolvedMooeypoo
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedInez
ResolvedMooeypoo
ResolvedJdforrester-WMF
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedJdforrester-WMF
ResolvedMooeypoo
ResolvedMooeypoo
Resolved rmoen
ResolvedMooeypoo
Resolved rmoen
Resolved rmoen
ResolvedAmire80
ResolvedEsanders
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedJdforrester-WMF
ResolvedMooeypoo
ResolvedAmire80
ResolvedAmire80
ResolvedCatrope
ResolvedAmire80
Resolved TrevorParscal
ResolvedEsanders
ResolvedEsanders
ResolvedMooeypoo
OpenNone
Resolvedmatmarex
ResolvedMooeypoo
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
Resolvedmarcoil

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:43 AM
bzimport set Reference to bz70581.

gerritadmin wrote:

Change 159182 had a related patch set uploaded by Jforrester:
[WIP] Show LST <section> elements and let them be edited

https://gerrit.wikimedia.org/r/159182

gerritadmin wrote:

Change 159182 abandoned by Jforrester:
[WIP] Show LST <section> elements and let them be edited

Reason:
Moving to LST repo.

https://gerrit.wikimedia.org/r/159182

gerritadmin wrote:

Change 162652 had a related patch set uploaded by Jforrester:
[WIP] In VisualEditor, show <section> elements and let them be edited

https://gerrit.wikimedia.org/r/162652

Jdforrester-WMF removed Jdforrester-WMF as the assignee of this task.Jul 31 2015, 12:01 AM
Jdforrester-WMF set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2015, 12:01 AM
Schede added a subscriber: Schede.Jul 6 2016, 5:35 AM
Schede added a comment.Jul 6 2016, 5:38 AM

will this task be worked again?

Tpt added a comment.Jul 6 2016, 7:40 AM

It seems to me that the latest versions of VisualEditor and Parsoid provides basic support (with an editing UI) for the <section> tag.

For example: https://en.wikisource.org/wiki/Page:Dictionary_of_Christian_Biography_and_Literature_(1911).djvu/161?veaction=edit (there is a <section begin=""> tag at the beginning of the page's body.

But we should definitely create a nicer UI for them.

Schede added a comment.EditedJul 6 2016, 7:19 PM

I tried this page and unfortunately it was just changed today so that the <section> tag at the beginning was removed; so I created another page on that Wiki with a section tag:

https://en.wikisource.org/w/index.php?title=Sectiontest&veaction=edit

unfortunately I don't see that the section tag is handled at all; it doesn't seem to be rendered. Can you take a look?

Tpt added a comment.Jul 7 2016, 6:59 AM

Ok, it seems to me that the alienextensionnode editor is activated on the Page: namespace but not on the main namespace (or something like that).

But as we should definitely create an editing widget for this tag, we will fix this issue at the same time.

how would you activate the alienextensionnode editor/module on a Wiki? I've played around with the $wgVisualEditorPluginModules array, but cannot get it to work.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 5 2020, 10:11 PM